Force buffered data to be processed
POST
/_ml/anomaly_detectors/{job_id} /_flush
Auth
Deprecated
The flush jobs API is only applicable when sending data for analysis using
the post data API. Depending on the content of the buffer, then it might
additionally calculate new results. Both flush and close operations are
similar, however the flush is more efficient if you are expecting to send
more data for analysis. When flushing, the job remains open and is available
to continue analyzing data. A close operation additionally prunes and
persists the model state to disk and the job must be opened again before
analyzing further data.
Cluster privileges
manage_ml
Expand all
job_id
string
required
Identifier for the anomaly detection job.
advance_time
union oneOf
Specifies to advance to a particular time value. Results are generated
and the model is updated for data from the specified time interval.
One of:
string
or
number
calc_interim
boolean
If true, calculates the interim results for the most recent bucket or all
buckets within the latency period.
end
union oneOf
When used in conjunction with calc_interim and start, specifies the
range of buckets on which to calculate interim results.
One of:
string
or
number
skip_time
union oneOf
Specifies to skip to a particular time value. Results are not generated
and the model is not updated for data from the specified time interval.
One of:
string
or
number
start
union oneOf
When used in conjunction with calc_interim, specifies the range of
buckets on which to calculate interim results.
One of:
string
or
number
{
}
advance_time
union oneOf
Refer to the description for the advance_time query parameter.
One of:
string
or
number
calc_interim
boolean
Refer to the description for the calc_interim query parameter.
end
union oneOf
Refer to the description for the end query parameter.
One of:
string
or
number
skip_time
union oneOf
Refer to the description for the skip_time query parameter.
One of:
string
or
number
start
union oneOf
Refer to the description for the start query parameter.
One of:
string
or
number
200
application/json
last_finalized_bucket_end
number
Provides the timestamp (in milliseconds since the epoch) of the end of
the last bucket that was processed.